### Property

# WebKit2 WebsiteDataManager:service-worker-registrations-directory

deprecated: 2.40. since: 2.30

#### Declaration

    property service-worker-registrations-directory: utf8 [ read, write, construct-only ]

#### Description [src]

The directory where service workers registrations will be stored.

Type: | `gchar*`
Available since: | 2.30
Deprecated since: | 2.40.
Use WebKitWebsiteDataManager:base-data-directory instead.

Getter method | `webkit_website_data_manager_get_service_worker_registrations_directory()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes